package philoPourEleves;

import java.awt.Dimension;
import java.awt.Scrollbar;
import java.awt.Toolkit;
import java.io.IOException;

import javax.swing.JFrame;

public class Diner {
	public static final int NUMPHILS = 5;
	private static Scrollbar slider;

	public static int eatTime() {
		return slider.getValue() * (int) (50 * Math.random());
	}

	public static void main(String[] args) throws IOException {
		JFrame frame = new JFrame("Les philosophes");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		PhiloView display = new PhiloView();
		display.setSize(300, 320);
		frame.add("Center", display);
		slider = new Scrollbar(Scrollbar.HORIZONTAL, 50, 5, 0, 100);
		frame.add("South", slider);
		frame.pack();

		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		Dimension frameSize = frame.getSize();
		if (frameSize.height > screenSize.height)
			frameSize.height = screenSize.height;
		if (frameSize.width > screenSize.width)
			frameSize.width = screenSize.width;
		frame.setLocation((screenSize.width - frameSize.width) / 2,
				(screenSize.height - frameSize.height) / 2);
		frame.setVisible(true);
		// TODO: Initialisation des fourchettes
		// TODO: Initialisation des philosophes
	}

	public static int thinkTime() {
		return slider.getValue() * (int) (100 * Math.random());
	}
}
